crc8gen.h File Reference

Osmocom generic CRC routines (for max 8 bits poly) header. More...

`#include <stdint.h>`
`#include <osmocom/core/bits.h>`

Go to the source code of this file.

## Data Structures

struct | osmo_crc8gen_code
| structure describing a given CRC code of max 8 bits More...

## Functions

uint8_t | osmo_crc8gen_compute_bits (const struct osmo_crc8gen_code *code, const ubit_t *in, int len)
| Compute the CRC value of a given array of hard-bits. More...
int | osmo_crc8gen_check_bits (const struct osmo_crc8gen_code *code, const ubit_t *in, int len, const ubit_t *crc_bits)
| Checks the CRC value of a given array of hard-bits. More...
void | osmo_crc8gen_set_bits (const struct osmo_crc8gen_code *code, const ubit_t *in, int len, ubit_t *crc_bits)
| Computes and writes the CRC value of a given array of bits. More...

## Detailed Description

Osmocom generic CRC routines (for max 8 bits poly) header.